ProjectControllerGetMyProject Method |
GET /Project/User
Gets the project for the user that is making the call.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpGetAttribute]
[ActionNameAttribute("User")]
public HttpResponseMessage GetMyProject(
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("User")>
Public Function GetMyProject (
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"User")]
HttpResponseMessage^ GetMyProject(
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("User")>]
member GetMyProject :
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage
The
ProjectData of the user's project or a status code indicating the reason for failure.
See Also